import { RedisDataInterface } from './dataType';
export declare class RedisInteractive {
    /**
     * Connect redis
     */
    static connectRedis(): Promise<any>;
    /**
     * check data in redis cache
     * @param dataRedis
     */
    static getCacheRedis(dataRedis: RedisDataInterface): Promise<any>;
    /**
     * Save data to redis
     * @param dataRedis
     * @param data
     */
    static saveDataRedis(dataRedis: RedisDataInterface, data: any): Promise<void>;
    /**
     * Delete field redis
     * @param key
     */
    static delDataRedis(key: string): Promise<void>;
}
